# ews-hex-shape



<!-- Auto Generated Below -->


## Properties

| Property         | Attribute         | Description                                   | Type      | Default    |
| ---------------- | ----------------- | --------------------------------------------- | --------- | ---------- |
| `clipContent`    | `clip-content`    | Whether to clip content within the hex shape. | `boolean` | `false`    |
| `color`          | `color`           | The color variant of the hex shape.           | `string`  | `'orange'` |
| `customClass`    | `custom-class`    | Additional CSS classes for the component.     | `string`  | `''`       |
| `flatTop`        | `flat-top`        | Whether the hex shape has a flat top.         | `boolean` | `true`     |
| `paddingContent` | `padding-content` | The padding inside the hex shape for content. | `number`  | `10`       |


----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
